osl::annotate::Analyzer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
osl::annotate::Analyzer Class Referenceabstract

`#include <analyzer.h>`

Inheritance diagram for osl::annotate::Analyzer:
[legend]

## Public Member Functions
virtual | ~Analyzer ()
virtual void | match (AnalysesResult &, const NumEffectState &src, const vector< Move > &moves, int last_move)=0

## Static Public Member Functions
static Trivalent | isCheckmate (NumEffectState &state, Move &best_move, bool attack=true, size_t *node_count=0)

## Detailed Description

Definition at line 14 of file analyzer.h.

## Constructor & Destructor Documentation

Analyzer::~Analyzer | ( | ) |  |
| virtual

Definition at line 21 of file analyzer.cc.

## Member Function Documentation

osl::annotate::Trivalent Analyzer::isCheckmate | ( | NumEffectState & | state,
|  | Move & | best_move,
|  | bool | attack = `true`,
|  | size_t * | node_count = `0`
| ) |  |
| static

Definition at line 26 of file analyzer.cc.

References osl::alt(), checkmate_limit, osl::annotate::False, osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::ProofDisproof::isCheckmateSuccess(), osl::checkmate::ProofDisproof::isFinal(), osl::checkmate::Dfpn::nodeCount(), osl::checkmate::Dfpn::setTable(), osl::annotate::True, and osl::annotate::Unknown.

virtual void osl::annotate::Analyzer::match | ( | AnalysesResult & | ,
|  | const NumEffectState & | src,
|  | const vector< Move > & | moves,
|  | int | last_move
| ) |  |
| pure virtual

Implemented in osl::annotate::Vision3, osl::annotate::ThreatmateIfMorePieces, osl::annotate::CheckmateForEscape, osl::annotate::CheckmateForCapture, osl::annotate::ThreatmateAnalyzer, osl::annotate::EscapeFromCheck, osl::annotate::CheckmateWin, osl::annotate::CheckmateAnalyzer, and osl::annotate::RepetitionAnalyzer.

Referenced by osl::annotate::analyze().

The documentation for this class was generated from the following files:

- analyzer.h
- analyzer.cc